org.mariadb.jdbc.internal.queryresults.resultset

## Class MariaSelectResultSet

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.resultset.MariaSelectResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class MariaSelectResultSet
    extends Object
    implements ResultSet

### Field Summary

Fields
`boolean` `callableResult`
`static int` `TINYINT1_IS_BIT`
`static int` `YEAR_IS_DATE_TYPE`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`MariaSelectResultSet(ColumnInformation[] columnInformation, List<byte[][]> resultSet, Protocol protocol, int resultSetScrollType)` Create filled resultset.
`MariaSelectResultSet(ColumnInformation[] columnInformation, Results results, Protocol protocol, ReadPacketFetcher fetcher, boolean callableResult)` Create Streaming resultSet.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()` {inheritDoc}.
`protected byte[]` `checkObjectRange(int position)`
`void` `clearWarnings()`
`void` `close()` Close resultSet.
`static MariaSelectResultSet` `createEmptyResultSet()`
`static ResultSet` `createGeneratedData(long[] data, Protocol protocol, boolean findColumnReturnsOne)` Create a result set from given data.
`static ResultSet` `createResultSet(String[] columnNames, MariaDbType[] columnTypes, String[][] data, Protocol protocol)` Create a result set from given data.
`void` `deleteRow()` {inheritDoc}.
`void` `fetchRemaining()` When protocol has a current Streaming result (this) fetch all to permit another query is executing.
`int` `findColumn(String columnLabel)` {inheritDoc}.
`boolean` `first()`
`Array` `getArray(int columnIndex)` {inheritDoc}.
`Array` `getArray(String columnLabel)` {inheritDoc}.
`InputStream` `getAsciiStream(int columnIndex)` {inheritDoc}.
`InputStream` `getAsciiStream(String columnLabel)` {inheritDoc}.
`BigDecimal` `getBigDecimal(int columnIndex)` {inheritDoc}.
`BigDecimal` `getBigDecimal(int columnIndex, int scale)` {inheritDoc}.
`BigDecimal` `getBigDecimal(String columnLabel)` {inheritDoc}.
`BigDecimal` `getBigDecimal(String columnLabel, int scale)` {inheritDoc}.
`InputStream` `getBinaryStream(int columnIndex)` {inheritDoc}.
`InputStream` `getBinaryStream(String columnLabel)` {inheritDoc}.
`Blob` `getBlob(int columnIndex)` {inheritDoc}.
`Blob` `getBlob(String columnLabel)` {inheritDoc}.
`boolean` `getBoolean(int index)` {inheritDoc}.
`boolean` `getBoolean(String columnLabel)` {inheritDoc}.
`byte` `getByte(int index)` {inheritDoc}.
`byte` `getByte(String columnLabel)` {inheritDoc}.
`byte[]` `getBytes(int columnIndex)` {inheritDoc}.
`byte[]` `getBytes(String columnLabel)` {inheritDoc}.
`Reader` `getCharacterStream(int columnIndex)` {inheritDoc}.
`Reader` `getCharacterStream(String columnLabel)` {inheritDoc}.
`Clob` `getClob(int columnIndex)` {inheritDoc}.
`Clob` `getClob(String columnLabel)` {inheritDoc}.
`int` `getConcurrency()`
`String` `getCursorName()` {inheritDoc}.
`Date` `getDate(int columnIndex)` {inheritDoc}.
`Date` `getDate(int columnIndex, Calendar cal)` {inheritDoc}.
`Date` `getDate(String columnLabel)` {inheritDoc}.
`Date` `getDate(String columnLabel, Calendar cal)` {inheritDoc}.
`double` `getDouble(int columnIndex)` {inheritDoc}.
`double` `getDouble(String columnLabel)` {inheritDoc}.
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat(int columnIndex)` {inheritDoc}.
`float` `getFloat(String columnLabel)` {inheritDoc}.
`int` `getHoldability()` {inheritDoc}.
`InputStream` `getInputStream(byte[] rawBytes)` Get inputStream value from raw data.
`int` `getInt(int columnIndex)` {inheritDoc}.
`int` `getInt(String columnLabel)` {inheritDoc}.
`long` `getLong(int columnIndex)` {inheritDoc}.
`long` `getLong(String columnLabel)` {inheritDoc}.
`ResultSetMetaData` `getMetaData()` {inheritDoc}.
`Reader` `getNCharacterStream(int columnIndex)` {inheritDoc}.
`Reader` `getNCharacterStream(String columnLabel)` {inheritDoc}.
`NClob` `getNClob(int columnIndex)` {inheritDoc}.
`NClob` `getNClob(String columnLabel)` {inheritDoc}.
`String` `getNString(int columnIndex)` {inheritDoc}.
`String` `getNString(String columnLabel)` {inheritDoc}.
`Object` `getObject(int columnIndex)` {inheritDoc}.
`<T> T` `getObject(int parameterIndex, Class<T> type)` {inheritDoc}.
`Object` `getObject(int columnIndex, Map<String,Class<?>> map)` {inheritDoc}.
`Object` `getObject(String columnLabel)` {inheritDoc}.
`<T> T` `getObject(String columnLabel, Class<T> arg1)`
`Object` `getObject(String columnLabel, Map<String,Class<?>> map)` {inheritDoc}.
`Ref` `getRef(int columnIndex)` {inheritDoc}.
`Ref` `getRef(String columnLabel)` {inheritDoc}.
`int` `getRow()`
`RowId` `getRowId(int columnIndex)` {inheritDoc}.
`RowId` `getRowId(String columnLabel)` {inheritDoc}.
`short` `getShort(int index)` {inheritDoc}.
`short` `getShort(String columnLabel)` {inheritDoc}.
`SQLXML` `getSQLXML(int columnIndex)` {inheritDoc}.
`SQLXML` `getSQLXML(String columnLabel)` {inheritDoc}.
`MariaDbStatement` `getStatement()`
`String` `getString(int columnIndex)` {inheritDoc}.
`String` `getString(String columnLabel)` {inheritDoc}.
`Time` `getTime(int columnIndex)` {inheritDoc}.
`Time` `getTime(int columnIndex, Calendar cal)` {inheritDoc}.
`Time` `getTime(String columnLabel)` {inheritDoc}.
`Time` `getTime(String columnLabel, Calendar cal)` {inheritDoc}.
`Timestamp` `getTimestamp(int columnIndex)` {inheritDoc}.
`Timestamp` `getTimestamp(int columnIndex, Calendar cal)` {inheritDoc}.
`Timestamp` `getTimestamp(String columnLabel)` {inheritDoc}.
`Timestamp` `getTimestamp(String columnLabel, Calendar cal)` {inheritDoc}.
`int` `getType()`
`InputStream` `getUnicodeStream(int columnIndex)` {inheritDoc}.
`InputStream` `getUnicodeStream(String columnLabel)` {inheritDoc}.
`URL` `getURL(int columnIndex)` {inheritDoc}.
`URL` `getURL(String columnLabel)` {inheritDoc}.
`SQLWarning` `getWarnings()`
`void` `insertRow()` {inheritDoc}.
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isCallableResult()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `isWrapperFor(Class<?> iface)` {inheritDoc}.
`boolean` `last()`
`void` `moveToCurrentRow()` {inheritDoc}.
`void` `moveToInsertRow()` {inheritDoc}.
`boolean` `next()`
`boolean` `previous()`
`boolean` `readNextValue(List<byte[][]> values)` Read next value.
`void` `refreshRow()` {inheritDoc}.
`boolean` `relative(int rows)`
`boolean` `rowDeleted()` {inheritDoc}.
`boolean` `rowInserted()` {inheritDoc}.
`boolean` `rowUpdated()` {inheritDoc}.
`void` `setFetchDirection(int direction)`
`void` `setFetchSize(int fetchSize)`
`void` `setReturnTableAlias(boolean returnTableAlias)`
`void` `setStatement(MariaDbStatement statement)`
`<T> T` `unwrap(Class<T> iface)` {inheritDoc}.
`void` `updateArray(int columnIndex, Array array)` {inheritDoc}.
`void` `updateArray(String columnLabel, Array array)` {inheritDoc}.
`void` `updateAsciiStream(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateAsciiStream(int columnIndex, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateAsciiStream(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateAsciiStream(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateAsciiStream(String columnLabel, InputStream value, int length)` {inheritDoc}.
`void` `updateAsciiStream(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBigDecimal(int columnIndex, BigDecimal value)` {inheritDoc}.
`void` `updateBigDecimal(String columnLabel, BigDecimal value)` {inheritDoc}.
`void` `updateBinaryStream(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateBinaryStream(int columnIndex, InputStream inputStream, int length)` {inheritDoc}.
`void` `updateBinaryStream(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBinaryStream(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateBinaryStream(String columnLabel, InputStream value, int length)` {inheritDoc}.
`void` `updateBinaryStream(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBlob(int columnIndex, Blob blob)` {inheritDoc}.
`void` `updateBlob(int columnIndex, InputStream inputStream)` {inheritDoc}.
`void` `updateBlob(int columnIndex, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBlob(String columnLabel, Blob blob)` {inheritDoc}.
`void` `updateBlob(String columnLabel, InputStream inputStream)` {inheritDoc}.
`void` `updateBlob(String columnLabel, InputStream inputStream, long length)` {inheritDoc}.
`void` `updateBoolean(int columnIndex, boolean bool)` {inheritDoc}.
`void` `updateBoolean(String columnLabel, boolean value)` {inheritDoc}.
`void` `updateByte(int columnIndex, byte value)` {inheritDoc}.
`void` `updateByte(String columnLabel, byte value)` {inheritDoc}.
`void` `updateBytes(int columnIndex, byte[] value)` {inheritDoc}.
`void` `updateBytes(String columnLabel, byte[] value)` {inheritDoc}.
`void` `updateCharacterStream(int columnIndex, Reader value)` {inheritDoc}.
`void` `updateCharacterStream(int columnIndex, Reader value, int length)` {inheritDoc}.
`void` `updateCharacterStream(int columnIndex, Reader value, long length)` {inheritDoc}.
`void` `updateCharacterStream(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateCharacterStream(String columnLabel, Reader reader, int length)` {inheritDoc}.
`void` `updateCharacterStream(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateClob(int columnIndex, Clob clob)` {inheritDoc}.
`void` `updateClob(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateClob(int columnIndex, Reader reader, long length)` {inheritDoc}.
`void` `updateClob(String columnLabel, Clob clob)` {inheritDoc}.
`void` `updateClob(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateClob(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateDate(int columnIndex, Date date)` {inheritDoc}.
`void` `updateDate(String columnLabel, Date value)` {inheritDoc}.
`void` `updateDouble(int columnIndex, double value)` {inheritDoc}.
`void` `updateDouble(String columnLabel, double value)` {inheritDoc}.
`void` `updateFloat(int columnIndex, float value)` {inheritDoc}.
`void` `updateFloat(String columnLabel, float value)` {inheritDoc}.
`void` `updateInt(int columnIndex, int value)` {inheritDoc}.
`void` `updateInt(String columnLabel, int value)` {inheritDoc}.
`void` `updateLong(int columnIndex, long value)` {inheritDoc}.
`void` `updateLong(String columnLabel, long value)` {inheritDoc}.
`void` `updateNCharacterStream(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateNCharacterStream(int columnIndex, Reader value, long length)` {inheritDoc}.
`void` `updateNCharacterStream(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateNCharacterStream(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateNClob(int columnIndex, NClob nclob)` {inheritDoc}.
`void` `updateNClob(int columnIndex, Reader reader)` {inheritDoc}.
`void` `updateNClob(int columnIndex, Reader reader, long length)` {inheritDoc}.
`void` `updateNClob(String columnLabel, NClob nclob)` {inheritDoc}.
`void` `updateNClob(String columnLabel, Reader reader)` {inheritDoc}.
`void` `updateNClob(String columnLabel, Reader reader, long length)` {inheritDoc}.
`void` `updateNString(int columnIndex, String nstring)` {inheritDoc}.
`void` `updateNString(String columnLabel, String nstring)` {inheritDoc}.
`void` `updateNull(int columnIndex)` {inheritDoc}.
`void` `updateNull(String columnLabel)` {inheritDoc}.
`void` `updateObject(int columnIndex, Object value)` {inheritDoc}.
`void` `updateObject(int columnIndex, Object value, int scaleOrLength)` {inheritDoc}.
`void` `updateObject(String columnLabel, Object value)` {inheritDoc}.
`void` `updateObject(String columnLabel, Object value, int scaleOrLength)` {inheritDoc}.
`void` `updateRef(int columnIndex, Ref ref)` {inheritDoc}.
`void` `updateRef(String columnLabel, Ref ref)` {inheritDoc}.
`void` `updateRow()` {inheritDoc}.
`void` `updateRowId(int columnIndex, RowId rowId)` {inheritDoc}.
`void` `updateRowId(String columnLabel, RowId rowId)` {inheritDoc}.
`void` `updateShort(int columnIndex, short value)` {inheritDoc}.
`void` `updateShort(String columnLabel, short value)` {inheritDoc}.
`void` `updateSQLXML(int columnIndex, SQLXML xmlObject)` {inheritDoc}.
`void` `updateSQLXML(String columnLabel, SQLXML xmlObject)` {inheritDoc}.
`void` `updateString(int columnIndex, String value)` {inheritDoc}.
`void` `updateString(String columnLabel, String value)` {inheritDoc}.
`void` `updateTime(int columnIndex, Time time)` {inheritDoc}.
`void` `updateTime(String columnLabel, Time value)` {inheritDoc}.
`void` `updateTimestamp(int columnIndex, Timestamp timeStamp)` {inheritDoc}.
`void` `updateTimestamp(String columnLabel, Timestamp value)` {inheritDoc}.
`boolean` `wasNull()` {inheritDoc}.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Field Detail

#### TINYINT1_IS_BIT

    public static final int TINYINT1_IS_BIT

See Also:
  Constant Field Values

#### YEAR_IS_DATE_TYPE

    public static final int YEAR_IS_DATE_TYPE

See Also:
  Constant Field Values

#### callableResult

    public boolean callableResult

### Constructor Detail

#### MariaSelectResultSet

    public MariaSelectResultSet(ColumnInformation[] columnInformation,
                                Results results,
                                Protocol protocol,
                                ReadPacketFetcher fetcher,
                                boolean callableResult)
                         throws IOException,
                                QueryException

Create Streaming resultSet.

Parameters:
  `columnInformation` - column information
  `results` - results
  `protocol` - current protocol
  `fetcher` - stream fetcher
  `callableResult` - is it from a callableStatement ?
Throws:
  `IOException` - if any connection error occur
  `QueryException` - if any connection error occur

#### MariaSelectResultSet

    public MariaSelectResultSet(ColumnInformation[] columnInformation,
                                List<byte[][]> resultSet,
                                Protocol protocol,
                                int resultSetScrollType)

Create filled resultset.

Parameters:
  `columnInformation` - column information
  `resultSet` - resultset
  `protocol` - current protocol
  `resultSetScrollType` - one of the following `ResultSet` constants: `ResultSet.TYPE_FORWARD_ONLY`, `ResultSet.TYPE_SCROLL_INSENSITIVE`, or `ResultSet.TYPE_SCROLL_SENSITIVE`

### Method Detail

#### createGeneratedData

    public static ResultSet createGeneratedData(long[] data,
                                                Protocol protocol,
                                                boolean findColumnReturnsOne)

Create a result set from given data. Useful for creating "fake" resultsets for DatabaseMetaData, (one example is MariaDbDatabaseMetaData.getTypeInfo())

Parameters:
  `data` - - each element of this array represents a complete row in the ResultSet. Each value is given in its string representation, as in MySQL text protocol, except boolean (BIT(1)) values that are represented as "1" or "0" strings
  `protocol` - protocol
  `findColumnReturnsOne` - - special parameter, used only in generated key result sets
Returns:
  resultset

#### createResultSet

    public static ResultSet createResultSet(String[] columnNames,
                                            MariaDbType[] columnTypes,
                                            String[][] data,
                                            Protocol protocol)

Create a result set from given data. Useful for creating "fake" resultsets for DatabaseMetaData, (one example is MariaDbDatabaseMetaData.getTypeInfo())

Parameters:
  `columnNames` - - string array of column names
  `columnTypes` - - column types
  `data` - - each element of this array represents a complete row in the ResultSet. Each value is given in its string representation, as in MySQL text protocol, except boolean (BIT(1)) values that are represented as "1" or "0" strings
  `protocol` - protocol
Returns:
  resultset

#### createEmptyResultSet

    public static MariaSelectResultSet createEmptyResultSet()

#### fetchRemaining

    public void fetchRemaining()
                        throws SQLException

When protocol has a current Streaming result (this) fetch all to permit another query is executing.

Throws:
  `SQLException` - if any error occur

#### readNextValue

    public boolean readNextValue(List<byte[][]> values)
                          throws IOException,
                                 QueryException

Read next value.

Parameters:
  `values` - values
Returns:
  true if have a new value
Throws:
  `IOException` - exception
  `QueryException` - exception

#### close

    public void close()
               throws SQLException

Close resultSet.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Throws:
  `SQLException`

#### checkObjectRange

    protected byte[] checkObjectRange(int position)
                               throws SQLException

Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Specified by:
  `getWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Specified by:
  `isLast` in interface `ResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Specified by:
  `getFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws SQLException

Specified by:
  `getFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize(int fetchSize)
                      throws SQLException

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Throws:
  `SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws SQLException

Specified by:
  `getConcurrency` in interface `ResultSet`
Throws:
  `SQLException`

#### isCallableResult

    public boolean isCallableResult()

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `ResultSet`

#### getStatement

    public MariaDbStatement getStatement()

Specified by:
  `getStatement` in interface `ResultSet`

#### setStatement

    public void setStatement(MariaDbStatement statement)

#### wasNull

    public boolean wasNull()
                    throws SQLException

{inheritDoc}.

Specified by:
  `wasNull` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream(String columnLabel)
                               throws SQLException

{inheritDoc}.

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream(int columnIndex)
                               throws SQLException

{inheritDoc}.

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(int columnIndex)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(String columnLabel)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream(int columnIndex)
                                throws SQLException

{inheritDoc}.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream(String columnLabel)
                                throws SQLException

{inheritDoc}.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws SQLException

{inheritDoc}.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(String columnLabel)
               throws SQLException

{inheritDoc}.

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String columnLabel)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel,
                                    int scale)
                             throws SQLException

{inheritDoc}.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SQLException

{inheritDoc}.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

{inheritDoc}.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel)
                             throws SQLException

{inheritDoc}.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(String columnLabel)
                    throws SQLException

{inheritDoc}.

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

{inheritDoc}.

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex,
                        Calendar cal)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String columnLabel,
                        Calendar cal)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex,
                        Calendar cal)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String columnLabel,
                        Calendar cal)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String columnLabel)
                           throws SQLException

{inheritDoc}.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  Calendar cal)
                           throws SQLException

{inheritDoc}.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String columnLabel,
                                  Calendar cal)
                           throws SQLException

{inheritDoc}.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

{inheritDoc}.

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream(String columnLabel)
                                 throws SQLException

{inheritDoc}.

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream(int columnIndex)
                                 throws SQLException

{inheritDoc}.

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getCursorName

    public String getCursorName()
                         throws SQLException

{inheritDoc}.

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

{inheritDoc}.

Specified by:
  `getMetaData` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String columnLabel)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex,
                            Map<String,Class<?>> map)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String columnLabel,
                            Map<String,Class<?>> map)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(int parameterIndex,
                           Class<T> type)
                    throws SQLException

{inheritDoc}.

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> arg1)
                    throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### findColumn

    public int findColumn(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `findColumn` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(String columnLabel)
                              throws SQLException

{inheritDoc}.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(int columnIndex)
                              throws SQLException

{inheritDoc}.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

{inheritDoc}.

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel)
                               throws SQLException

{inheritDoc}.

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

{inheritDoc}.

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws SQLException

{inheritDoc}.

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

{inheritDoc}.

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull(int columnIndex)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull(String columnLabel)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean bool)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean(String columnLabel,
                              boolean value)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte(int columnIndex,
                           byte value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte(String columnLabel,
                           byte value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort(int columnIndex,
                            short value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort(String columnLabel,
                            short value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt(int columnIndex,
                          int value)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt(String columnLabel,
                          int value)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat(int columnIndex,
                            float value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat(String columnLabel,
                            float value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble(int columnIndex,
                             double value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble(String columnLabel,
                             double value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 BigDecimal value)
                          throws SQLException

{inheritDoc}.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal(String columnLabel,
                                 BigDecimal value)
                          throws SQLException

{inheritDoc}.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString(int columnIndex,
                             String value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString(String columnLabel,
                             String value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes(String columnLabel,
                            byte[] value)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate(int columnIndex,
                           Date date)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate(String columnLabel,
                           Date value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime(int columnIndex,
                           Time time)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime(String columnLabel,
                           Time value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                Timestamp timeStamp)
                         throws SQLException

{inheritDoc}.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp(String columnLabel,
                                Timestamp value)
                         throws SQLException

{inheritDoc}.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream inputStream,
                                  int length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream inputStream)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream value,
                                  int length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream inputStream,
                                  long length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream inputStream,
                                  long length)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream inputStream)
                           throws SQLException

{inheritDoc}.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream inputStream,
                                   int length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream inputStream,
                                   long length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream value,
                                   int length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream inputStream,
                                   long length)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream inputStream)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream inputStream)
                            throws SQLException

{inheritDoc}.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader value,
                                      int length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader value)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      int length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader value,
                                      long length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader)
                               throws SQLException

{inheritDoc}.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             Object value,
                             int scaleOrLength)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             Object value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(String columnLabel,
                             Object value,
                             int scaleOrLength)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject(String columnLabel,
                             Object value)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong(String columnLabel,
                           long value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong(int columnIndex,
                           long value)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### insertRow

    public void insertRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRow

    public void updateRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

#### deleteRow

    public void deleteRow()
                   throws SQLException

{inheritDoc}.

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

#### refreshRow

    public void refreshRow()
                    throws SQLException

{inheritDoc}.

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

{inheritDoc}.

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

{inheritDoc}.

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

{inheritDoc}.

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(int columnIndex)
               throws SQLException

{inheritDoc}.

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(String columnLabel)
               throws SQLException

{inheritDoc}.

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(int columnIndex)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(int columnIndex)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray(int columnIndex)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL(int columnIndex)
               throws SQLException

{inheritDoc}.

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL(String columnLabel)
               throws SQLException

{inheritDoc}.

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef(int columnIndex,
                          Ref ref)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef(String columnLabel,
                          Ref ref)
                   throws SQLException

{inheritDoc}.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           Blob blob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String columnLabel,
                           Blob blob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           Clob clob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String columnLabel,
                           Clob clob)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           Reader reader)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob(String columnLabel,
                           Reader reader)
                    throws SQLException

{inheritDoc}.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray(int columnIndex,
                            Array array)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray(String columnLabel,
                            Array array)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(int columnIndex,
                            RowId rowId)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(String columnLabel,
                            RowId rowId)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getHoldability

    public int getHoldability()
                       throws SQLException

{inheritDoc}.

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString(int columnIndex,
                              String nstring)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString(String columnLabel,
                              String nstring)
                       throws SQLException

{inheritDoc}.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            NClob nclob)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnLabel,
                            NClob nclob)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

{inheritDoc}.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int columnIndex)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String columnLabel)
                     throws SQLException

{inheritDoc}.

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

{inheritDoc}.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(int columnIndex)
                      throws SQLException

{inheritDoc}.

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(String columnLabel)
                      throws SQLException

{inheritDoc}.

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader value,
                                       long length)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader reader)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader)
                                throws SQLException

{inheritDoc}.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int index)
                       throws SQLException

{inheritDoc}.

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(String columnLabel)
                       throws SQLException

{inheritDoc}.

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int index)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(String columnLabel)
                 throws SQLException

{inheritDoc}.

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int index)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(String columnLabel)
                   throws SQLException

{inheritDoc}.

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws SQLException

{inheritDoc}.

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

{inheritDoc}.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### setReturnTableAlias

    public void setReturnTableAlias(boolean returnTableAlias)

#### getInputStream

    public InputStream getInputStream(byte[] rawBytes)

Get inputStream value from raw data.

Parameters:
  `rawBytes` - rowdata
Returns:
  inputStream